from django.urls import path

from users.apis.auth import (
    get_roles,

    sign_up,
    login,
    refresh_login,
    has_login,
    send_verification_code,
    confirmation,
    forgot_password,
)

app_name = 'auth'
urlpatterns = [
    path('roles/', get_roles, name='getRoles'),
    path('signup/', sign_up, name='signup'),
    path('login/', login, name='login'),
    path('login/refresh/', refresh_login, name='refresh'),
    path('login/try/', has_login, name='has'),

    path('send/verificationcode/', send_verification_code, name='has'),
    path('confirmation/', confirmation, name='has'),
    path('forgotpassword/', forgot_password, name='has'),
]
